{
  "private": true,
  "name": "dungeonslayers4",
  "description": "An implementation of the Dungeonslayers 4 game system for Foundry Virtual Tabletop.",
  "version": "1.21.1",
  "license": "https://git.f3l.de/dungeonslayers/ds4#licensing",
  "homepage": "https://git.f3l.de/dungeonslayers/ds4",
  "repository": {
    "type": "git",
    "url": "https://git.f3l.de/dungeonslayers/ds4"
  },
  "bugs": {
    "url": "https://git.f3l.de/dungeonslayers/ds4/issues"
  },
  "contributors": [
    {
      "name": "Johannes Loher",
      "email": "johannes.loher@fg4f.de"
    },
    {
      "name": "Gesina Schwalbe",
      "email": "gesina.schwalbe@pheerai.de"
    },
    {
      "name": "Oliver Rümpelein",
      "email": "foundryvtt@pheerai.de"
    },
    {
      "name": "Siegfried Krug",
      "email": "foundryvtt@asdil1991.de"
    },
    {
      "name": "Max Tharr"
    },
    {
      "name": "Sascha Martens"
    }
  ],
  "type": "module",
  "scripts": {
    "build": "run-s clean:files build:files",
    "build:files": "run-p build:rollup build:packs",
    "build:rollup": "rollup -c",
    "build:packs": "./tools/packs.sh pack",
    "watch": "rollup -c -w",
    "link-package": "node ./tools/link-package.js",
    "clean": "run-p clean:files clean:link",
    "clean:files": "rimraf dist",
    "clean:link": "node ./tools/link-package.js --clean",
    "lint": "pnpm eslint",
    "lint:fix": "pnpm eslint --fix",
    "eslint": "eslint --ext .ts,.js,.cjs,.mjs .",
    "format": "pnpm prettier --write",
    "format:check": "pnpm prettier --check",
    "prettier": "prettier './**/*.(ts|js|cjs|mjs|json|scss|yml|yaml)'",
    "test": "run-p test:vitest test:typecheck",
    "test:vitest": "vitest run",
    "test:typecheck": "tsc --noEmit --project spec/tsconfig.json",
    "test:watch": "vitest",
    "typecheck": "tsc --noEmit",
    "typecheck:watch": "tsc --noEmit --watch",
    "bump-version": "node ./tools/bump-version.js",
    "changelog": "conventional-changelog -p conventionalcommits -o CHANGELOG.md -r 2"
  },
  "devDependencies": {
    "@commitlint/cli": "17.7.1",
    "@commitlint/config-conventional": "17.7.0",
    "@foundryvtt/foundryvtt-cli": "0.0.9",
    "@guanghechen/rollup-plugin-copy": "5.0.7",
    "@ironkinoko/rollup-plugin-styles": "4.0.3",
    "@swc/core": "1.3.85",
    "@types/fs-extra": "11.0.2",
    "@types/jquery": "3.5.19",
    "@types/node": "18.17.17",
    "@typescript-eslint/eslint-plugin": "6.7.0",
    "@typescript-eslint/parser": "6.7.0",
    "conventional-changelog-cli": "4.1.0",
    "conventional-changelog-conventionalcommits": "7.0.2",
    "eslint": "8.49.0",
    "eslint-config-prettier": "9.0.0",
    "fs-extra": "11.1.1",
    "handlebars": "4.7.8",
    "npm-run-all": "4.1.5",
    "prettier": "3.0.3",
    "rimraf": "5.0.1",
    "rollup": "3.29.2",
    "rollup-plugin-swc3": "0.10.1",
    "sass": "1.67.0",
    "semver": "7.5.4",
    "tslib": "2.6.2",
    "typescript": "5.2.2",
    "vite": "4.4.9",
    "vitest": "0.34.4",
    "yargs": "17.7.2"
  },
  "packageManager": "pnpm@8.7.5"
}
